<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#1A1A1A">

    <com.gh.gamecenter.common.view.StatusBarView
        android:id="@+id/status_bar_view"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <com.gh.gamecenter.common.view.CropImageCustom
        android:id="@+id/crop_image_custom"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:horizontalPadding="16dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <View
        android:id="@+id/v_bottom_background"
        android:layout_width="0dp"
        android:layout_height="160dp"
        android:background="#232323"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <com.gh.gamecenter.common.view.DividerView
        android:id="@+id/v_line"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginBottom="51dp"
        android:background="#333333"
        app:divider_size="0"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <TextView
        android:id="@+id/tv_cancel"
        android:layout_width="56dp"
        android:layout_height="28dp"
        android:layout_marginStart="16dp"
        android:gravity="center"
        android:text="@string/cancel"
        android:textColor="#FFFFFF"
        android:textSize="12sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/v_line" />

    <TextView
        android:id="@+id/tv_submit"
        android:layout_width="56dp"
        android:layout_height="28dp"
        android:layout_marginEnd="16dp"
        android:background="@drawable/shape_video_cover_edit_submit"
        android:gravity="center"
        android:text="@string/confirm"
        android:textColor="#ffffff"
        android:textSize="12sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@id/v_line" />


    <com.google.android.material.imageview.ShapeableImageView
        android:id="@+id/iv_take_photo"
        android:layout_width="56dp"
        android:layout_height="56dp"
        android:layout_marginStart="16dp"
        android:layout_marginBottom="12dp"
        android:scaleType="centerCrop"
        android:src="@drawable/ic_video_cover_edit_take_photo"
        app:layout_constraintBottom_toBottomOf="@id/v_line"
        app:layout_constraintStart_toStartOf="parent" />

    <com.google.android.material.imageview.ShapeableImageView
        android:id="@+id/iv_preview_border"
        android:layout_width="56dp"
        android:layout_height="56dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/iv_take_photo"
        app:layout_constraintEnd_toEndOf="@id/iv_take_photo"
        app:layout_constraintStart_toStartOf="@id/iv_take_photo"
        app:layout_constraintTop_toTopOf="@id/iv_take_photo" />

    <ImageView
        android:id="@+id/iv_remove"
        android:layout_width="16dp"
        android:layout_height="16dp"
        android:layout_marginTop="-6dp"
        android:layout_marginEnd="-6dp"
        android:src="@drawable/ic_video_cover_edit_remove"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="@id/iv_take_photo"
        app:layout_constraintTop_toTopOf="@id/iv_take_photo"
        tools:visibility="visible" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_images"
        android:layout_width="0dp"
        android:layout_height="56dp"
        android:layout_marginStart="12dp"
        android:layout_marginEnd="16dp"
        app:layout_constraintBottom_toBottomOf="@id/iv_take_photo"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@id/iv_take_photo"
        app:layout_constraintTop_toTopOf="@id/iv_take_photo"
        tools:background="#1AFFFFFF" />

    <TextView
        android:id="@+id/tv_bottom_title"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="16dp"
        android:layout_marginBottom="12dp"
        android:text="@string/select_from_album_or_select_video_screenshot"
        android:textColor="#99FFFFFF"
        android:textSize="12sp"
        app:layout_constraintBottom_toTopOf="@id/iv_take_photo"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>